Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86250 - code to strip protocol at start of proxy address transposes letters
Summary: code to strip protocol at start of proxy address transposes letters
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: control-center
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-18 03:44 UTC by Michael Wardle
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-09 19:13:34 UTC


Attachments (Terms of Use)

Description Michael Wardle 2003-03-18 03:44:58 UTC
Description of problem:
When I try to enter "http://proxy" in the GNOME network proxy settings
dialog, it seems the "http://" is automatically removed, however this
action also seems to change the text insertion point, so I am left with
"roxyp" rather than "proxy".

Version-Release number of selected component (if applicable):
control-center-2.2.0.1-6

How reproducible:
Always

Comment 1 Marco Pesenti Gritti 2004-10-21 11:12:57 UTC
So in the network applet we are trying to automatically sanitize the
host values by extracting the host part. I'm not that convinced it's a
good thing, even without this bug changing the value the user is
typing is annoying and confusing. If we really need to validate it
then we should probably show a dialog explaining why the value is
incorrect.

I'd just remove the auto-validation thing for now and see if it make
sense to introduce a dialog or something later. jrb what do you think?

Comment 2 Marco Pesenti Gritti 2004-10-21 11:15:42 UTC
Sort of related:

http://bugzilla.gnome.org/show_bug.cgi?id=119112

Comment 3 Ray Strode [halfline] 2005-09-09 19:13:34 UTC
Hi guys,

I'm going to close this bug.  Marco apparently removed the code that was causing
the problem.

Also, Red Hat Linux 9 is not longer supported.


Note You need to log in before you can comment on or make changes to this bug.